text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Complex

Description

Monomorphic `TextShow` function for `Ratio` values.

Due to use of the `DatatypeContexts` extension, there is no `TextShow1 Complex` instance on `base-4.3.0.0`.

Since: 2

Synopsis

- showbComplexPrec :: TextShow a => Int -> Complex a -> Builder

# Documentation

showbComplexPrec :: TextShow a => Int -> Complex a -> Builder Source

Convert a `Complex` value to a `Builder` with the given precedence.

Note that on `base-4.3.0.0`, this function must have a `(`TextShow` a, `RealFloat` a)` constraint instead of just a `(`TextShow` a)` constraint.

Since: 2